org.hibernate.search.store.spi

## Class BaseDirectoryProviderService

- java.lang.Object
- - org.hibernate.search.store.spi.BaseDirectoryProviderService

- All Implemented Interfaces:
    DirectoryProviderService, Service
  Direct Known Subclasses:
    DefaultDirectoryProviderService

      public abstract class BaseDirectoryProviderService
      extends Object
      implements DirectoryProviderService

  Base class for custom `DirectoryProviderService` implementations
  Author:
    gustavonalle

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `defaultProviderClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseDirectoryProviderService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectoryProvider` | `create(Properties indexProps, String indexName, BuildContext context)` Creates a DirectoryProvider for an index based on the configuration
    `protected DirectoryProvider<?>` | `initialize(String fullClassName, String indexName, Properties indexProps, BuildContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.cfg.spi.DirectoryProviderService

      `getDefault, toFullyQualifiedClassName`

- - ### Field Detail

    - #### defaultProviderClasses

          protected final Map<String,String> defaultProviderClasses

  - ### Constructor Detail

    - #### BaseDirectoryProviderService

          public BaseDirectoryProviderService()

  - ### Method Detail

    - #### create

          public DirectoryProvider create(Properties indexProps,
                                          String indexName,
                                          BuildContext context)

      Description copied from interface: `DirectoryProviderService`
      Creates a DirectoryProvider for an index based on the configuration
      Specified by:
        `create` in interface `DirectoryProviderService`
      Parameters:
        `indexProps` - the configuration properties
        `indexName` - the name of the index (directory) to create
        `context` - provide access to some services at initialization
      Returns:
        a `DirectoryProvider`

    - #### initialize

          protected DirectoryProvider<?> initialize(String fullClassName,
                                                    String indexName,
                                                    Properties indexProps,
                                                    BuildContext context)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved